<?php
    require_once("smarty_init.inc.php");
    $SELF = $_SERVER['PHP_SELF'];

    switch(@$_REQUEST['action']) {
        default:
        case 'list':
			$survey_id = @(int)$_GET['sid'];
			$survey = SurveyGet($survey_id);
			$questions = QuestionGetAllForSurvey($survey_id);
	
			$smarty->assign('type','list');
			$smarty->assign('survey_id',$survey_id);
			$smarty->assign('survey',$survey);
			$smarty->assign('questions', $questions);
			break;

        case 'save':
			trim_r($_REQUEST);

			$question = QuestionFillFromPost();
			if(!$_POST['txtQuestion']) {
				$errors[] = "Question Text can't be empty";
			}

			if(!$_POST['rbtType']) {
				$errors[] = "Question Type can't be empty";
			}
			
			if(($_POST['rbtType']>=1)&&($_POST['rbtType']<=7)&&($_POST['txtAnswers']==''))
			{
				$errors[] = "For this Question Type you should fill possible answers";
			}

			if(!get_magic_quotes_gpc())
                		addslashes_r($_POST);
			$question = QuestionFillFromPost();
		
			if(!$errors) 
			{

				if(@(int)$_POST['id']) {
					QuestionUpdate($question);
						} else {
					$question['que_id'] = QuestionAdd($question);
				}                  

				$var_ids = '';
				if (count($question['variants_array'])>0)
				{
					foreach ($question['variants_array'] as $variant) {
						$var_id = VariantExists($variant, $question['que_id']);
						if ($var_id==0)
						{
							$var_id = VariantAdd($variant, $question['que_id']);
						}
						$var_ids=$var_ids.$var_id.',';
					}
				}

				if (strlen($var_ids)>0)
				{
					$var_ids = substr($var_ids, 0, strlen($var_ids)-1);
					VariantDelete($var_ids, $question['que_id']);
				}
				Redirect($SELF.'?action=list&sid='.$question['que_sur_id']);

            }
			$survey = SurveyGet($question['que_sur_id']);
            $smarty->assign('errors', $errors);
            $smarty->assign('question', $question);
			$smarty->assign('type','edit');
			$smarty->assign('types_list',$questions_types);
			$smarty->assign('survey',$survey);
			break;

        case 'edit':

			$question = QuestionGet($_REQUEST['id']);
			if ($question!=null)
			{
				$question['variants_list'] = @implode ("\n", VariantGetTitlesForQuestion($_REQUEST['id']));
			}
			$question['que_sur_id'] = $_GET['sid'];
			$survey = SurveyGet($question['que_sur_id']);

			$smarty->assign('survey',$survey);
			$smarty->assign('type','edit');
			$smarty->assign('question', $question);
			$smarty->assign('types_list',$questions_types);
	        break;

        case 'delete':
			QuestionDelete($_REQUEST['id']);
			Redirect ($SELF.'?action=list&sid='.$_GET['sid']);
        	break;
    }


    $smarty->assign("self",$SELF);
    $smarty->assign("module","questions.tpl");
    $smarty->display("index.tpl");
    exit;
?>
