<?php
    require_once('globals.inc.php');
    require_once('menu.php');
    require_once('../constants.php');
    require_once('../libs/smarty/Smarty.class.php');
    require_once('../libs/nav.php');
    require_once("../libs/phpmailer/class.phpmailer.php");

    $smarty = new Smarty();
    $smarty->template_dir   = $config["smarty_template_dir"];
//echo $config["smarty_template_dir"];
//echo '<br>';
//echo $smarty->template_dir;
    $smarty->compile_dir    = $config["smarty_compile_dir"];
    $smarty->config_dir = $config["smarty_config_dir"];
    $smarty->force_compile = true;
    $smarty->assign("formats",$formats);

    $file = basename($_SERVER['PHP_SELF']);
    foreach($menu as $cat_name=>$item) {
        if($key = array_search($file,$item)) {
            $smarty->assign('nav_category',$cat_name);
            $smarty->assign('nav_subcategory',$key);
            $smarty->assign('nav_subcategoryhref',$file);
        }
    }
    $smarty->assign("menu",$menu);
    $smarty->assign("path",$path);
    $smarty->assign("user_states",$user_states);
    $smarty->assign("phone_types",$phone_types);
    $smarty->assign("moderator_states",$moderator_states);
    $smarty->assign("colors", $colors);
    $smarty->assign("scheme_colors", $scheme_colors);
    $smarty->assign("fonts", $fonts);
    $smarty->assign("font_sizes", $font_sizes);

    $smarty->assign("config",$config);
?>