<?php

/*
 * Smarty plugin
 * -------------------------------------------------------------
 * Type:     function
 * Name:     count
 * Version:  1.0
 * Input:    value = array
 *           print = boolean - print var or not. default is true
 *           assign = boolean, assigns to template var instead of
 *                    printed.
 * -------------------------------------------------------------
 */
function smarty_function_count($params, &$smarty)
{
	static $cycle_vars;
	
    extract($params);

    $len = (is_array($value)?count($value):strlen($value));

    if (isset($assign)) {
        $print = false;
        $smarty->assign($assign, $len);
    }
		
	if(!$print)
		$len = null;

	return $len;
}

/* vim: set expandtab: */

?>
