<?php
    require_once("smarty_init.inc.php");
    $SELF = $_SERVER['PHP_SELF'];

    switch(@$_REQUEST['action']) {
        default:
        case 'list':
			$surveys = SurveyGetAll();

			$smarty->assign('type','list');
			$smarty->assign('surveys', $surveys);
			break;

        case 'save':

			trim_r($_REQUEST);

			if(!$_POST['txtTitle']) {
				$errors[] = "Survey Title can't be empty";
			}
			if(!$_POST['txtSubmitText']) {
				$errors[] = "Submit button text can't be empty";
			}
			if(($_POST['rbtRequireEmail']=='1')&&(!$_POST['txtEmailRequestText'])) {
				$errors[] = "Please fill the Email request reason";
			}
			if(($_POST['rbtShouldExpiry']=='1')&&(!$_POST['txtExpiryDate'])) {
				$errors[] = "Please fill the survey Expire date";
			}
			if(($_POST['rbtWhatToDo']=='URL')&&(!$_POST['txtURL'])) {
				$errors[] = "Please fill the redirect url";
			}
			if(($_POST['rbtWhatToDo']=='Message')&&(!$_POST['txtMessageThankYou'])) {
				$errors[] = "Please fill the Thank You message";
			}             

			if ($_POST['txtNotificationEmail']!='')
			{
				if (!ValidateEmail($_POST['txtNotificationEmail']))
				{
					$errors[] = 'Please provide a valid email address.';
				}
			}
  
			if ($_POST['txtURL']!='')
			{
				if (!ValidateURL($_POST['txtURL']))
				{
					$errors[] = 'Please provide a valid redirection URL.';
				}
			}
			
	
			if(!get_magic_quotes_gpc())
				addslashes_r($_POST);
				
			$survey = SurveyFillFromPost();
    
			if(!$errors) 
			{
	       		if(@(int)$_POST['id'])
				{
					SurveyUpdate($survey);
						}else{
					SurveyAdd($survey);
                		}

				Redirect($SELF.'?action=list');
			}

			$smarty->assign('errors', $errors);
			$smarty->assign('survey', $survey);
       		$smarty->assign('type','edit');
			$schemes = SchemeGetAll();
       		$smarty->assign('schemes',$schemes);
			break;


		case 'edit':
			$survey = SurveyGet($_REQUEST['id']);

	    		if ($_POST['creation_type']=='old')
	    		{
				$survey = SurveyGet($_POST['copy_survey']);
				$survey['sur_id']=0;
			}
			$schemes = SchemeGetAll();
       		$smarty->assign('schemes',$schemes);
       		$smarty->assign('type','edit');
       		$smarty->assign('survey', $survey);
			break;

		case 'new':
			$surveys_list = SurveyGetAll();
			$survey_id = 0;
			if(@(int)$_GET['id'])
			{
				$survey_id = $_GET['id'];
			}
			$smarty->assign('survey_id', $survey_id);
			$smarty->assign('surveys_list', $surveys_list);
			$smarty->assign('type','new');
			break;


		case 'delete':
			SurveyDelete($_REQUEST['id']);
			Redirect($SELF.'?action=list');
			break;

		case 'clear':
			SurveyClearResults($_REQUEST['id']);
			Redirect($SELF.'?action=list');
			break;

	}


    $smarty->assign("self",$SELF);
    $smarty->assign("module","surveys.tpl");
    $smarty->display("index.tpl");
    exit;
?>
