{if $type == 'list'}
	<h1>Schemes Management</h1>
	<table border="0" align="center" width='80%'>
		<thead>
			<tr>
				<td align="center"><font color="white">Name</font></td>
				<td align="center" width='300'><font color="white">Action</font></td>
			</tr>
		</thead>
		{if $schemes}
			{foreach from=$schemes item=scheme}
				<tr>
					<td>{$scheme.csc_title}</td>
					<td align='center' width='300'>
						[<a href="{$self}?action=edit&id={$scheme.csc_id}">Edit</a>]&nbsp;
						[<a href="{$self}?action=delete&id={$scheme.csc_id}" onClick="return confirm('Do you really want to delete this scheme?')">Delete</a>]
					</td>
				</tr>
			{/foreach}
		{else}
			<tr class='Error'><td colspan=2 align=center>No Schemes Found</td></tr>
		{/if}
		<tr>
			<td colspan=2 align=right>
				[<a href="{$self}?action=edit">Add new scheme</a>]
			</td>
		</tr>
	</table>
{/if}

{if $type=='edit'}
	<h1>{if $scheme.sur_id}Edit '{$scheme.sur_title}'{else}Add{/if} scheme</h1>
	{if $errors}
		<div align='center' class='Error'>
			{foreach from=$errors item=error}
				<li>{$error}<br>
			{/foreach}
		</div>
	{/if}
	<form action="{$self}?action=save" method="post" enctype="multipart/form-data">
	<input type="hidden" name="id" value="{$scheme.csc_id}">
	<table  align="center" border="0" cellspacing=0 cellpadding=2 width="600">
		<tr class='AdminTitle'>
			<td>Please enter the title of your scheme.</td>
		</tr>
		<tr>
			<td>
				<input class='textbox' name="txtTitle" type="text" maxlength="256" id="txtTitle" value="{if $scheme.csc_title==''}Untitled{else}{$scheme.csc_title}{/if}">
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>
				Please enter the required width of your survey.
			</td>
		</tr>
		<tr>
			<td>
				<input class='textbox' name="txtWidth" type="text" value="{if $scheme.csc_width==''}600{else}{$scheme.csc_width}{/if}" id="txtWidth" style="width:50px;" />
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>
				Please set the font and colours for your survey title.
			</td>
		</tr>
		<tr>
			<td>
				<table cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td>
							Background Colour:<br>
							<select class='textboxNarrow' name="ddlTitleBackGround" id="ddlTitleBackGround">
								{foreach from=$scheme_colors item=code key=color}
									<option value = "{$code}" {if $scheme.title_background == $code}selected{/if}>{$color}</option>
								{/foreach}
							</select>
						</td>
						<td>
							Text Colour:<br>
							<select class='textboxNarrow' name="ddlTitleForeGround" id="ddlTitleForeGround">
								{foreach from=$scheme_colors item=code key=color}
									<option value = "{$code}" {if $scheme.title_color == $code}selected{/if}>{$color}</option>
								{/foreach}
							</select>
						</td>
						<td>
							Font:<br>
							<select class='textboxNarrow' name="ddlTitleFontName" id="ddlTitleFontName">
								{foreach from=$fonts item=font}
									<option value = "{$font}" {if $scheme.title_font == $font}selected{/if}>{$font}</option>
								{/foreach}
							</select>
							<select class='textboxNarrowest' name="ddlTitleFontSize" id="ddlTitleFontSize">
								{foreach from=$font_sizes item=font_size}
									<option value = "{$font_size}" {if $scheme.title_size == $font_size}selected{/if}>{$font_size}</option>
								{/foreach}
							</select>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>
				Please set the font and colours for your survey question.
			</td>
		</tr>
		<tr>
			<td>
				<table cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td>
							Background Colour:<br>
							<select class='textboxNarrow' name="ddlQuestionBackGround" id="ddlQuestionBackGround">
								{foreach from=$scheme_colors item=code key=color}
									<option value = "{$code}" {if $scheme.question_background == $code}selected{/if}>{$color}</option>
								{/foreach}
							</select>
						</td>
						<td>
							Text Colour:<br>
							<select class='textboxNarrow' name="ddlQuestionForeGround" id="ddlQuestionForeGround">
								{foreach from=$scheme_colors item=code key=color}
									<option value = "{$code}" {if $scheme.question_color == $code}selected{/if}>{$color}</option>
								{/foreach}
							</select>
						</td>
						<td>
							Font:<br>
							<select class='textboxNarrow' name="ddlQuestionFontName" id="ddlQuestionFontName">
								{foreach from=$fonts item=font}
									<option value = "{$font}" {if $scheme.question_font == $font}selected{/if}>{$font}</option>
								{/foreach}
							</select>
							<select class='textboxNarrowest' name="ddlQuestionFontSize" id="ddlQuestionFontSize">
								{foreach from=$font_sizes item=font_size}
									<option value = {$font_size} {if $scheme.question_size == $font_size}selected{/if}>{$font_size}</option>
								{/foreach}
							</select>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>
				Please set the font and colours for your survey answer.
			</td>
		</tr>
		<tr>
			<td>
				<table cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td>
							Background Colour:<br>
							<select class='textboxNarrow' name="ddlAnswerBackGround" id="ddlAnswerBackGround">
								{foreach from=$scheme_colors item=code key=color}
									<option value = "{$code}" {if $scheme.answer_background == $code}selected{/if}>{$color}</option>
								{/foreach}
							</select>
						</td>
						<td>
							Text Colour:<br>
							<select class='textboxNarrow' name="ddlAnswerForeGround" id="ddlAnswerForeGround">
								{foreach from=$scheme_colors item=code key=color}
									<option value = "{$code}" {if $scheme.answer_color == $code}selected{/if}>{$color}</option>
								{/foreach}
							</select>
						</td>
						<td>
							Font:<br>
							<select class='textboxNarrow' name="ddlAnswerFontName" id="ddlAnswerFontName">
								{foreach from=$fonts item=font}
									<option value = "{$font}" {if $scheme.answer_font == $font}selected{/if}>{$font}</option>
								{/foreach}
							</select>
							<select class='textboxNarrowest' name="ddlAnswerFontSize" id="ddlAnswerFontSize">
								{foreach from=$font_sizes item=font_size}
									<option value = {$font_size} {if $scheme.answer_size == $font_size}selected{/if}>{$font_size}</option>
								{/foreach}
							</select>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr>
			<td align="center">
				<br>
				<input class='button' type="submit" value="Save">&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" onClick="location.href='{$self}?action=list'" value="Cancel" class="button">
				<br>
			</td>
		</tr>
	</table>

    </form>
{/if}

