{if $type == 'list'}
	<h1>Surveys Management</h1>
	<table border="0" align="center" width='80%'>
		<thead>
			<tr>
				<td align="center"><font color="white">Name</font></td>
				<td align="center" width='350'><font color="white">Action</font></td>
			</tr>
		</thead>
		{if $surveys}
			{foreach from=$surveys item=survey}
				<tr>
					<td>{$survey.sur_title}</td>
					<td align='center' width='350'>
						[<a href="{$self}?action=edit&id={$survey.sur_id}">Edit</a>]&nbsp;
						[<a href="survey.php?id={$survey.sur_id}">Test</a>]&nbsp;
						[<a href="/survey.php?id={$survey.sur_id}" target='_blank'>Preview</a>]&nbsp;
						[<a href="survey_results.php?id={$survey.sur_id}">Results</a>]&nbsp;
						[<a href="{$self}?action=new&id={$survey.sur_id}">Copy</a>]&nbsp;
						[<a href="{$self}?action=delete&id={$survey.sur_id}" onClick="return confirm('Do you really want to delete this survey?')">Delete</a>]
						[<a href="{$self}?action=clear&id={$survey.sur_id}" onClick="return confirm('Do you really want to clear all results for this survey?')">Clear</a>]
						[<a href="questions.php?action=list&sid={$survey.sur_id}">Questions</a>]
					</td>
				</tr>
			{/foreach}
		{else}
			<tr class='Error'><td colspan=2 align=center>No Surveys Found</td></tr>
		{/if}
		<tr>
			<td colspan=2 align=right>
				[<a href="{$self}?action=new">Add new survey</a>]
			</td>
		</tr>
	</table>
{/if}

{if $type=='edit'}
	<h1>{if $survey.sur_id}Edit '{$survey.sur_title}'{else}Add{/if} survey</h1>
	{if $errors}
		<div align='center' class='Error'>
			{foreach from=$errors item=error}
				<li>{$error}<br>
			{/foreach}
		</div>
	{/if}
	<form action="{$self}?action=save" method="post" enctype="multipart/form-data">
	<input type="hidden" name="id" value="{$survey.sur_id}">
	<table align="center" border="0" cellspacing=0 cellpadding=2>
		<tr class='AdminTitle'>
			<td>Please enter the title of your survey.<span class='Error'>*</span></td>
		</tr>
		<tr>
			<td class='AdminField'>
				<input  class="textbox" name="txtTitle" type="text" maxlength="256" id="txtTitle" value="{if $survey.sur_title==''}Untitled{else}{$survey.sur_title}{/if}">
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>Do you want to show the title of your survey?</td>
		</tr>
		<tr>
			<td class='AdminField'>
				<table border="0" cellspacing=0 cellpadding=0>
					<tr>
						<td>
							<input id="ViewTitleYes" type="radio" name="rbtViewTitle" value="1" {if $survey.sur_title_should_display=='1' or $survey.sur_title_should_display==''}checked{/if}><label for="ViewTitleYes">Yes</label>
						</td>
					</tr>
					<tr>
						<td>
							<input id="ViewTitleNo" type="radio" name="rbtViewTitle" value="0" {if $survey.sur_title_should_display=='0'}checked{/if}><label for="ViewTitleNo">No</label>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>Please select the color scheme for your survey.</td>
		</tr>
		<tr>
			<td class='AdminField'>
				<select  class="textbox" name="ddlScheme" id='ddlScheme'>
					<option {if $survey.sur_color_scheme=='' or $survey.sur_color_scheme==0}selected{/if}></option>
					{foreach from=$schemes item=scheme}
						<option value="{$scheme.csc_id}" {if $scheme.csc_id==$survey.sur_color_scheme}selected{/if}>{$scheme.csc_title}</option>
					{/foreach}
				</select>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>Please enter the text for the Submit button.<span class='Error'>*</span></td>
		</tr>
		<tr>
			<td class='AdminField'>
				<input  class="textbox" name="txtSubmitText" type="text" value="{if $survey.sur_submit_text==''}Submit{else}{$survey.sur_submit_text}{/if}" maxlength="128" id="txtSubmitText">
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
		  <td>
				Would you like to request the users email address?			</td>
		</tr>
		<tr>
			<td class='AdminField'>
				<table border="0" cellspacing=0 cellpadding=0>
					<tr>
						<td>
							<input id="RequireEmailNo" type="radio" name="rbtRequireEmail" value="0" {if $survey.sur_email_request=='0' or $survey.sur_email_request==''}checked{/if}>
							<label for="RequireEmailNo">No</label>
						</td>
					</tr>
					<tr>      
						<td>
							<input id="RequireEmailYes" type="radio" name="rbtRequireEmail" value="1" {if $survey.sur_email_request=='1'}checked{/if}>
							<label for="RequireEmailYes">Yes, please enter a message to entice the survey participant to enter their email address.</label>
							<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<textarea cols='70' class="textbox" name="txtEmailRequestText" rows="10" id="txtEmailRequestText">{$survey.sur_email_request_message}</textarea>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>	
				Would you like the survey participant to view a summary of the survey results?
			</td>
		</tr>
		<tr>
			<td class='AdminField'>
				<table border="0" cellspacing=0 cellpadding=0>
					<tr>
						<td>
							<input id="ViewSummaryYes" type="radio" name="rbtViewSummary" value="1" {if $survey.sur_view_summary=='1' or $survey.sur_view_summary==''}checked{/if}>
							<label for="ViewSummaryYes">Yes</label>
						</td>
					</tr>
					<tr>      
						<td>
							<input id="ViewSummaryNo" type="radio" name="rbtViewSummary" value="0" {if $survey.sur_view_summary=='0'}checked{/if}>
							<label for="ViewSummaryNo">No</label>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>Would you like your survey to expire on a particular date?</td>
		</tr>
		<tr>
			<td class='AdminField'>
				<table border="0" cellspacing=0 cellpadding=0>
					<tr>
						<td>
							<input id="ShouldExpiryYes" type="radio" name="rbtShouldExpiry" value="1" {if $survey.sur_date_expire!=''}checked{/if}>
							<label for="ShouldExpiryYes">Yes</label>
							<input  class="textbox" type='text' name='txtExpiryDate' id='txtExpiryDate' value='{$survey.sur_date_expire}'>
						</td>
					</tr>
					<tr>
						<td>
							<input id="ShouldExpiryNo" type="radio" name="rbtShouldExpiry" value="0" {if $survey.sur_date_expire==''}checked{/if}>
							<label for="ShouldExpiryNo">No</label>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>After the survey participant has voted, what would you like to do?</td>
		</tr>
		<tr>
			<td class='AdminField'>
				<table border="0" cellspacing=0 cellpadding=0>
					<tr>
						<td>
							<input id="TodoURL" type="radio" name="rbtWhatToDo" value="URL" {if $survey.sur_complete_goto_url =='1'}checked{/if}>
							<label for="TodoURL">Redirect them to a specified web page, e.g. http://www.yahoo.com</label>
							<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input class="textbox" name="txtURL" type="text" id="txtURL" value="{$survey.sur_complete_url}">
						</td>
					</tr>
					<tr>
						<td>
							<input id="TodoMessage" type="radio" name="rbtWhatToDo" value="Message"  {if $survey.sur_complete_goto_url =='0' or $survey.sur_complete_goto_url ==''}checked{/if}>
							<label for="TodoMessage">Show them a specified thank you message.</label>
							<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<textarea class="textbox" cols="70" name="txtMessageThankYou" rows="10" id="txtMessageThankYou">{$survey.sur_complete_message}</textarea>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>
				Do you want the participant to vote more than once?
			</td>
		</tr>
		<tr>
			<td class='AdminField'>
				<table border="0" cellspacing=0 cellpadding=0>
					<tr>
						<td>
							<input id="MultipleVotesYes" type="radio" name="rbtMultipleVotes" value="1"  {if $survey.sur_allow_multiple_votes  =='1'}checked{/if}/>
							<label for="MultipleVotesYes">Yes</label>
						</td>
					</tr>
					<tr>
						<td>
							<input id="MultipleVotesNo" type="radio" name="rbtMultipleVotes" value="0"  {if $survey.sur_allow_multiple_votes  =='0' or $survey.sur_allow_multiple_votes  ==''}checked{/if}>
							<label for="MultipleVotesNo">No</label>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr class='AdminTitle'>
			<td>If you wish us to email you every time a
				participant submits their response, then please enter the email address that 
				will receive the notification.
			</td>
		</tr>
		<tr>
			<td class='AdminField'>
				<input  class="textbox" size="94" name="txtNotificationEmail" type="text" maxlength="128" id="txtNotificationEmail" value="{$survey.sur_notification_email}">
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr>
			<td align="center">
				<br>
				<input type="submit" value="Save" class="button">&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" onClick="location.href='{$self}?action=list'" value="Cancel" class="button">
				<br><br>
			</td>
		</tr>
	</table>

    </form>
{/if}


{if $type=='new'}
	<h1>New Survey</h1>
	<form action="{$self}?action=edit" method="post" enctype="multipart/form-data">
		<table align="center" border="0" cellspacing=0 cellpadding=2>
			<tr class='AdminTitle'>
				<td>
					<input type='radio' id='creation_type_new' name='creation_type' {if $survey_id=='' or $survey_id==0}checked{/if} value='new'><label for="creation_type_new">Create a new blank survey</label><br>
					<input type='radio' id='creation_type_old' name='creation_type' {if $survey_id!='' and $survey_id!=0}checked{/if} text='Copy an existing survey' value='old'><label for="creation_type_old">Copy an existing survey</label><br>
				</td>
			</tr>
			<tr>
				<td class='AdminField'>
					<select name="copy_survey" id='copy_survey' class='textbox'>
						<option {if $survey_id=='' or $survey_id==0}selected{/if}></option>
						{foreach from=$surveys_list item=sur}
							<option value="{$sur.sur_id}" {if $sur.sur_id==$survey_id}selected{/if}>{$sur.sur_title}</option>
						{/foreach}
					</select>
				</td>
			</tr>
			<tr><td>&nbsp;</td></tr>
			<tr>
				<td>
					<input type="submit" value="Continue" class="button">
					<input type="button" onClick="location.href='{$self}?action=list'" value="Cancel" class="button">
				</td>
			</tr>
		</table>
	</form>
{/if}
